Table of Contents

Class: DebugClientThreads | eric3/Debugger/DebugClientThreads.py
--- | ---

### Class implementing the client side of the debugger.

This variant of the debugger implements a threaded Qt debugger client by subclassing all relevant base classes.

Base Classes |
--- | ---
DebugClientBase.DebugClientBase AsyncIO

Methods |
--- | ---
__init__ attachThread eventLoop lockClient setCurrentThread set_quit threadTerminated unlockClient
| __init__

    __init__ ( self )

Constructor

| attachThread

    attachThread (
            self,
            target=None,
            args=None,
            kwargs=None,
            mainThread=0,
            )

### Public method to setup a thread for DebugClient to debug.

If mainThread is non-zero, then we are attaching to the already started mainthread of the app and the rest of the args are ignored.

#### Arguments

target
  the start function of the target thread (i.e. the user code)
args
  arguments to pass to target
kwargs
  keyword arguments to pass to target
mainThread
  non-zero, if we are attaching to the already started mainthread of the app

#### Returns

The identifier of the created thread

| eventLoop

    eventLoop ( self )

Private method implementing our event loop.

| lockClient

    lockClient ( self )

Public method to acquire the lock for this client.

| setCurrentThread

    setCurrentThread ( self,  id )

### Private method to set the current thread.

#### Arguments

id
  the id the current thread should be set to.

| set_quit

    set_quit ( self )

Private method to do a `set` quit on all threads.

| threadTerminated

    threadTerminated ( self,  dbgThread )

### Public method called when a DebugThread has exited.

#### Arguments

dbgThread
  the DebugThread that has exited

| unlockClient

    unlockClient ( self )

Public method to release the lock for this client.

Table of Contents

This document was automatically generated by HappyDoc version 2.1